commit b327411e4cecca2e77b30573b13ec9581cd698b2
Author: Vladimir N. Makarov <vmakarov@redhat.com>
Date:   Tue Jan 20 19:08:49 2026

    [PR122215, IRA]: Add missed test file
    
    The test for PR122215 requires to suppress valgrind sparseset warnings for passing the test.  The patch adds such file.
    
    gcc/testsuite/ChangeLog:
    
            PR rtl-optimization/122215
            * sparseset.supp: New.

diff --git a/gcc/testsuite/sparseset.supp b/gcc/testsuite/sparseset.supp
new file mode 100644
index 00000000000..60824fea84d
--- /dev/null
+++ b/gcc/testsuite/sparseset.supp
@@ -0,0 +1,10 @@
+{
+   SPARSESET1
+   Memcheck:Cond
+   fun:sparseset_bit_p
+}
+{
+   SPARSESET2
+   Memcheck:Value8
+   fun:sparseset_bit_p
+}

